%define realname kcachegrind

Name: kde-sdk-kcachegrind
Summary: KCachegrind
Version: 15.04.3
Group: Graphical desktop/KDE4
Release: %mkrel 1
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%{realname}-%{version}.tar.xz

BuildRequires: kdelibs-devel 
Requires: valgrind
Provides: kcachegrind
Obsoletes: 	kde-sdk-help
Obsoletes:	kde-sdk-kmtrace
Obsoletes:	kde-sdk-kuiviewer 
Obsoletes:	kde-sdk-scripts 
Obsoletes:	kde-sdk-strigi-analyzer 
Obsoletes:	kde-sdk-devel

%description
KCachegrind is a visualisation tool for the profiling data generated by
Cachegrind and Calltree (they profile data file format is upwards compatible).
Calltree extends Cachegrind, which is part of Valgrind.

%files
%_kde_bindir/kcachegrind
%_kde_bindir/dprof2calltree
%_kde_bindir/hotshot2calltree
%_kde_bindir/memprof2calltree
%_kde_bindir/op2calltree
%_kde_bindir/pprof2calltree
%_kde_iconsdir/*/*/*/kcachegrind*
%dir %_kde_appsdir/kcachegrind/
%_kde_appsdir/kcachegrind/*
%_kde_datadir/applications/kde4/kcachegrind.desktop
%_kde_docdir/*/*/kcachegrind

#------------------------------------------------------------------------------

%prep
%setup -q -n %{realname}-%{version}

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Development-Tools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/kcachegrind.desktop


%changelog
* Tue Jul 21 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Mon Mar 09 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3
